var x: int64;
begin
repeat
  write('Введите число: ');
  readln(x);
  var c1 := x mod 10;
  var c2 := x div 10;
  c2 := c2 mod 10;
  var c3 := x div 100;
  c3:=c3 mod 100;
  var c4:= x div 1000;
  c4:=c4 mod 1000;
  var c5:= x div 10000;
  c5:=c5 mod 10000;
  var c6:= x div 100000;
  c6:=c6 mod 100000;
  if c1=c2 then
    writeln('Цифры числа совпадают')
  else if (c1=c2) and (c2=c3) then
  writeln('Цифры числа совпадают') 
  else if (c1=c2) and (c2=c3) and (c3=c4) then
  Writeln('Цифры числа совпадают')
  else if (c1=c2) and (c2=c3) and (c3=c4) and (c4=c5) then
  Writeln('Цифры числа совпадают')
  else if (c1=c2) and (c2=c3) and (c3=c4) and (c4=c5) and (c5=c6) then
  Writeln('Цифры числа совпадают')
  else writeln('Цифры числа не совпадают');
until x=228
end.